Index: Makefile
===================================================================
--- Makefile	(revision 34d9ab28be200edae8133cce97eb8ad2ff9d30a3)
+++ Makefile	(revision dbd10599b1ec788ec24d5cd56409f18e77eb8882)
@@ -3,39 +3,39 @@
 include genarch/Makefile.inc
 
-sources=src/cpu/cpu.c \
-	src/main/main.c \
-	src/main/kinit.c \
-	src/main/uinit.c \
-	src/proc/scheduler.c \
-	src/proc/thread.c \
-	src/proc/task.c \
-	src/proc/the.c \
-	src/mm/buddy.c \
-	src/mm/heap.c \
-	src/mm/frame.c \
-	src/mm/page.c \
-	src/mm/tlb.c \
-	src/mm/vm.c \
-	src/lib/func.c \
-	src/lib/list.c \
-	src/lib/memstr.c \
-	src/lib/sort.c \
-	src/debug/print.c \
-	src/debug/symtab.c \
-	src/time/clock.c \
-	src/time/timeout.c \
-	src/time/delay.c \
-	src/preempt/preemption.c \
-	src/synch/spinlock.c \
-	src/synch/condvar.c \
-	src/synch/rwlock.c \
-	src/synch/mutex.c \
-	src/synch/semaphore.c \
-	src/synch/waitq.c \
-	src/smp/ipi.c \
-	src/fb/font-8x16.c
+sources=generic/src/cpu/cpu.c \
+	generic/src/main/main.c \
+	generic/src/main/kinit.c \
+	generic/src/main/uinit.c \
+	generic/src/proc/scheduler.c \
+	generic/src/proc/thread.c \
+	generic/src/proc/task.c \
+	generic/src/proc/the.c \
+	generic/src/mm/buddy.c \
+	generic/src/mm/heap.c \
+	generic/src/mm/frame.c \
+	generic/src/mm/page.c \
+	generic/src/mm/tlb.c \
+	generic/src/mm/vm.c \
+	generic/src/lib/func.c \
+	generic/src/lib/list.c \
+	generic/src/lib/memstr.c \
+	generic/src/lib/sort.c \
+	generic/src/debug/print.c \
+	generic/src/debug/symtab.c \
+	generic/src/time/clock.c \
+	generic/src/time/timeout.c \
+	generic/src/time/delay.c \
+	generic/src/preempt/preemption.c \
+	generic/src/synch/spinlock.c \
+	generic/src/synch/condvar.c \
+	generic/src/synch/rwlock.c \
+	generic/src/synch/mutex.c \
+	generic/src/synch/semaphore.c \
+	generic/src/synch/waitq.c \
+	generic/src/smp/ipi.c \
+	generic/src/fb/font-8x16.c
 
 # CFLAGS options same for all targets
-CFLAGS+=-nostdinc -Iinclude/ -Werror-implicit-function-declaration -Wmissing-prototypes -Werror
+CFLAGS+=-nostdinc -Igeneric/include/ -Werror-implicit-function-declaration -Wmissing-prototypes -Werror
 
 ifdef DEBUG_SPINLOCK
@@ -62,10 +62,10 @@
 
 config:
-	find src/ include/ -name arch -type l -exec rm \{\} \;
-	find src/ include/ -name genarch -type l -exec rm \{\} \;	
-	ln -s ../arch/$(ARCH)/src/ src/arch
-	ln -s ../arch/$(ARCH)/include/ include/arch
-	ln -s ../genarch/src/ src/genarch
-	ln -s ../genarch/include/ include/genarch
+	find generic/src/ generic/include/ -name arch -type l -exec rm \{\} \;
+	find generic/src/ generic/include/ -name genarch -type l -exec rm \{\} \;	
+	ln -s ../../arch/$(ARCH)/src/ generic/src/arch
+	ln -s ../../arch/$(ARCH)/include/ generic/include/arch
+	ln -s ../../genarch/src/ generic/src/genarch
+	ln -s ../../genarch/include/ generic/include/genarch
 
 depend:
@@ -75,26 +75,26 @@
 
 clean:
-	find src/ arch/$(ARCH)/src/ genarch/src/ test/ -name '*.o' -exec rm \{\} \;
-	-rm *.bin kernel.map kernel.map.pre kernel.objdump src/debug/real_map.bin
+	find generic/src/ arch/$(ARCH)/src/ genarch/src/ test/ -name '*.o' -exec rm \{\} \;
+	-rm *.bin kernel.map kernel.map.pre kernel.objdump generic/src/debug/real_map.bin
 	$(MAKE) -C arch/$(ARCH)/boot/ clean
 
 dist-clean:
-	find src/ include/ -name arch -type l -exec rm \{\} \;
-	find src/ include/ -name genarch -type l -exec rm \{\} \;	
+	find generic/src/ generic/include/ -name arch -type l -exec rm \{\} \;
+	find generic/src/ generic/include/ -name genarch -type l -exec rm \{\} \;	
 	-rm Makefile.depend
 	-$(MAKE) clean
 
-src/debug/real_map.bin: $(arch_objects) $(genarch_objects) $(objects) $(test_objects) arch/$(ARCH)/_link.ld 
-	$(OBJCOPY) -I binary -O $(BFD_NAME) -B $(BFD_ARCH) --prefix-sections=symtab Makefile src/debug/empty_map.o
-	$(LD) -T arch/$(ARCH)/_link.ld $(LFLAGS) $(arch_objects) $(genarch_objects) $(objects) $(test_objects) src/debug/empty_map.o -o $@ -Map kernel.map.pre
+generic/src/debug/real_map.bin: $(arch_objects) $(genarch_objects) $(objects) $(test_objects) arch/$(ARCH)/_link.ld 
+	$(OBJCOPY) -I binary -O $(BFD_NAME) -B $(BFD_ARCH) --prefix-sections=symtab Makefile generic/src/debug/empty_map.o
+	$(LD) -T arch/$(ARCH)/_link.ld $(LFLAGS) $(arch_objects) $(genarch_objects) $(objects) $(test_objects) generic/src/debug/empty_map.o -o $@ -Map kernel.map.pre
 	$(OBJDUMP) -t $(arch_objects) $(genarch_objects) $(objects) $(test_objects) > kernel.objdump
-	tools/genmap.py kernel.map.pre kernel.objdump src/debug/real_map.bin 
+	tools/genmap.py kernel.map.pre kernel.objdump generic/src/debug/real_map.bin 
 
-src/debug/real_map.o: src/debug/real_map.bin
+generic/src/debug/real_map.o: generic/src/debug/real_map.bin
 	$(OBJCOPY) -I binary -O $(BFD_NAME) -B $(BFD_ARCH) --prefix-sections=symtab $< $@
 
 
-kernel.bin: $(arch_objects) $(genarch_objects) $(objects) $(test_objects) arch/$(ARCH)/_link.ld src/debug/real_map.o
-	$(LD) -T arch/$(ARCH)/_link.ld $(LFLAGS) $(arch_objects) $(genarch_objects) $(objects) $(test_objects) src/debug/real_map.o -o $@ -Map kernel.map
+kernel.bin: $(arch_objects) $(genarch_objects) $(objects) $(test_objects) arch/$(ARCH)/_link.ld generic/src/debug/real_map.o
+	$(LD) -T arch/$(ARCH)/_link.ld $(LFLAGS) $(arch_objects) $(genarch_objects) $(objects) $(test_objects) generic/src/debug/real_map.o -o $@ -Map kernel.map
 
 %.o: %.S
